/* CIRCLEOFFIFTHS_H
 * CLASS DECLARATION
 *
 * CHANGLOG:
 * NAME:            |   CHANGES:                                                |   DATE:           |
 * Mewes, Lars      | Neuerstellung                                             | 24.09.2021        |
 *                  |                                                           |                   |
 *                  |                                                           |                   |
 *                  |                                                           |                   |
 *
 * DESCRIPTION:
 * Diese Klasse enthält die 12 "circleElements" und stellt sie in einer "QGraphicsScene" dar, von der die Klasse abgeleitet ist
 * und verarbeitetet außerdem Mouse-Events.
 *
 * TO-DOs:
 *
 *
 */

#pragma once
#include "ColorScale.h"
#include <QGraphicsScene>
#include "CircleElement.h"
#include <QGraphicsSceneMouseEvent>
class MainWindow;

class CircleOfFifths: public QGraphicsScene{
    CircleElement * circleElements[12];
public:
    CircleOfFifths(qreal x, qreal y, qreal w, qreal h, MainWindow * parent);

    CircleElement * getCircleElement(int number)const;

    void mousePressEvent(QGraphicsSceneMouseEvent *event);
};
